Package com.sas.lsaf.client

## Class HttpConnectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sas.lsaf.core.AbstractRuntimeException
        - - com.sas.lsaf.client.HttpConnectException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `HttpUnknownHostException`

      public class HttpConnectException
      extends AbstractRuntimeException

  Thrown when there was communication error between the client and server.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpConnectException​(java.net.URL url, java.lang.String message, java.lang.Throwable cause)` | Constructs an `HttpUnknownHostException` with the specified message and cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.URL` | `getUrl()` | Return the URL used during the connection failure.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractRuntimeException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpConnectException

          public HttpConnectException​(java.net.URL url,
                                      java.lang.String message,
                                      java.lang.Throwable cause)

      Constructs an `HttpUnknownHostException` with the specified message and cause.
      Parameters:
        `url` - the URL used during the connection failure
        `message` - the detail message (which is saved for later retrieval by the `AbstractRuntimeException.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### Method Detail

    - #### getUrl

          public java.net.URL getUrl()

      Return the URL used during the connection failure.
      Returns:
        the `URL` causing the connection failure.